Bug 522762 - cdcollect run only one time and crash after
Summary: cdcollect run only one time and crash after
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: cdcollect
Version: 10
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 10:56 UTC by Cătălin George Feștilă
Modified: 2009-09-23 11:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 11:52:14 UTC


Attachments (Terms of Use)

Description Cătălin George Feștilă 2009-09-11 10:56:46 UTC
Description of problem:

cdcollect run only one time.
when i try to run again i have errors .

Version-Release number of selected component (if applicable):

cat /etc/redhat-release
Fedora release 10 (Cambridge)
uname -m
i686


How reproducible:
run al least 2 times.

Steps to Reproduce:
1.run first ( this working)
2.run second ( i have error )
3.
  
Actual results:
The output error is :

 cdcollect 
Marshaling activate signal
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.NullReferenceException: Object reference not set to an instance of an object
  at CDViewPopup.on_menu_sort_activate (System.Object o, System.EventArgs args) [0x00000] 
  at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
  --- End of inner exception stack trace ---
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000] 
  at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000] 
  at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) [0x00000] 
  at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000] 
  at GLib.Signal.ClosureInvokedCB (System.Object o, GLib.ClosureInvokedArgs args) [0x00000] 
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs args) [0x00000] 
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000] 
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at GLib.SignalClosure.MarshalCallback(IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data)
   at Gtk.MenuItem.gtk_menu_item_activate(IntPtr )
   at Gtk.MenuItem.Activate()
   at CDViewPopup.set_sorting(System.String sort)
   at CDViewPopup..ctor(System.String sort)
   at CDView..ctor(System.String sort)
   at CDCollect..ctor(System.String[] args)
   at CDCollect.Main(System.String[] args)
[catalinfestila@home ~]$ 

Expected results:


Additional info:

Comment 1 Dan Horák 2009-09-14 09:02:10 UTC
(In reply to comment #0)
> Version-Release number of selected component (if applicable):
> 
> cat /etc/redhat-release
> Fedora release 10 (Cambridge)
> uname -m
> i686

what is the version of cdcollect? try running "rpm -q cdcollect"

Comment 2 Cătălin George Feștilă 2009-09-14 09:09:18 UTC
The version is  cdcollect-0.6.0-6.fc10.i386 !
On root account workging fine !

Comment 3 Dan Horák 2009-09-15 13:45:12 UTC
cdcollect works fine on my F-10/x86_64 and F-11/i386, so I suspect something is wrong on your machine. Is Fedora your only source for packages?

Comment 4 Cătălin George Feștilă 2009-09-16 07:49:24 UTC
Repository:

update
fedora
livna
rpmfusion-free
rpmfusion-free-updates
rpmfusion-nonfree
rpmfusion-nonfree-updates

Or maybe i have set selinux enforced ?
ls -Z
-rwxr-xr-x  root root system_u:object_r:bin_t:s0       /usr/bin/cdcollect

On yumex on Changelog i have :
Tue Oct 28 00:00:00 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.6.0-6
- rebuild for new gnome-sharp
Fri Feb 15 00:00:00 2008 Dan Horak <dan[at]danny.cz> 0.6.0-5
- rebuild for gcc 4.3
Thu Sep 27 01:00:00 2007 Dan Horak <dan[at]danny.cz> 0.6.0-4
- set ExcludeArch: ppc64 as Mono doesn't exist there
Thu Sep 27 01:00:00 2007 Dan Horak <dan[at]danny.cz> 0.6.0-3
- fixed URLs
- removed unneeded BR: pkgconfig
Tue Sep 25 01:00:00 2007 Dan Horak <dan[at]danny.cz> 0.6.0-2
- update license tag
- fix desktop file installation
Wed Jul 18 01:00:00 2007 Dan Horak <dan[at]danny.cz> 0.6.0-1
- initial version

Comment 5 Dan Horák 2009-09-23 11:52:14 UTC
I just did a fresh install of F-10/i386, installed updates and cdcollect and I have no problems with running cdcollect.


Note You need to log in before you can comment on or make changes to this bug.